function daSetButton(btn_id, da_href) {
	if (document.getElementById(btn_id)) {
		document.getElementById(btn_id).addEventListener("click",
														 function () {
															 window.open(da_href);
														 });
	}
}

function daDoOnload() {
	daSetButton("sql_explorer",
				"SqlExplorer/index.html");
	daSetButton("monitor",
				"AceMonitor/index.html");
	daSetButton("isam_explorer",
				"IsamExplorer/index.html");

	const https_req_div         = document.getElementById('fct_https_req');
	https_req_div.style.display = (window.location.protocol != "https:") ? 'inline-block' : 'none';
}

window.onload = (event) => {
	daDoOnload();
};